Subject: bug#38181: Actual height of mode-line not taken into account

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2019 20:39:20 +0200

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sun, 17 Nov 2019 19:16:32 +0100
> 
>  > Mmm... actually, it could be that we cannot resize windows during
>  > redisplay at all.  See, for example, how resize_mini_window does its
>  > tricky job.  We may need to call this outside of redisplay.
> 
> Inherently, resize_mini_window does what 'fit-window-to-buffer' does
> and it gets called from redisplay_internal.

And it immediately returns if that happens while redisplaying a
window.